OpenCV: cv::SimpleBlobDetector::Params Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::SimpleBlobDetector::Params Struct Reference

`#include "features2d.hpp"`

## Public Member Functions
| Params ()
void | read (const FileNode &fn)
void | write (FileStorage &fs) const

## Public Attributes
uchar | blobColor
bool | filterByArea
bool | filterByCircularity
bool | filterByColor
bool | filterByConvexity
bool | filterByInertia
float | maxArea
float | maxCircularity
float | maxConvexity
float | maxInertiaRatio
float | maxThreshold
float | minArea
float | minCircularity
float | minConvexity
float | minDistBetweenBlobs
float | minInertiaRatio
size_t | minRepeatability
float | minThreshold
float | thresholdStep

## Constructor & Destructor Documentation

## ◆ Params()

cv::SimpleBlobDetector::Params::Params | ( |  | ) |

## Member Function Documentation

## ◆ read()

void cv::SimpleBlobDetector::Params::read | ( | const FileNode & | fn | ) |

## ◆ write()

void cv::SimpleBlobDetector::Params::write | ( | FileStorage & | fs | ) | const

## Member Data Documentation

## ◆ blobColor

uchar cv::SimpleBlobDetector::Params::blobColor

## ◆ filterByArea

bool cv::SimpleBlobDetector::Params::filterByArea

## ◆ filterByCircularity

bool cv::SimpleBlobDetector::Params::filterByCircularity

## ◆ filterByColor

bool cv::SimpleBlobDetector::Params::filterByColor

## ◆ filterByConvexity

bool cv::SimpleBlobDetector::Params::filterByConvexity

## ◆ filterByInertia

bool cv::SimpleBlobDetector::Params::filterByInertia

## ◆ maxArea

float cv::SimpleBlobDetector::Params::maxArea

## ◆ maxCircularity

float cv::SimpleBlobDetector::Params::maxCircularity

## ◆ maxConvexity

float cv::SimpleBlobDetector::Params::maxConvexity

## ◆ maxInertiaRatio

float cv::SimpleBlobDetector::Params::maxInertiaRatio

## ◆ maxThreshold

float cv::SimpleBlobDetector::Params::maxThreshold

## ◆ minArea

float cv::SimpleBlobDetector::Params::minArea

## ◆ minCircularity

float cv::SimpleBlobDetector::Params::minCircularity

## ◆ minConvexity

float cv::SimpleBlobDetector::Params::minConvexity

## ◆ minDistBetweenBlobs

float cv::SimpleBlobDetector::Params::minDistBetweenBlobs

## ◆ minInertiaRatio

float cv::SimpleBlobDetector::Params::minInertiaRatio

## ◆ minRepeatability

size_t cv::SimpleBlobDetector::Params::minRepeatability

## ◆ minThreshold

float cv::SimpleBlobDetector::Params::minThreshold

## ◆ thresholdStep

float cv::SimpleBlobDetector::Params::thresholdStep

The documentation for this struct was generated from the following file:

- features2d/include/opencv2/features2d.hpp